### Hierarchy

- ParamUtil

## Index

### Methods

- addExpression
- addUpdateExpression

## Methods

### Static addExpression

- addExpression(expressionType: "ConditionExpression" | "KeyConditionExpression" | "FilterExpression" | "UpdateExpression", condition: Expression, params: QueryInput | ScanInput | UpdateItemInput): void

- - Defined in dynamo/expression/param-util.ts:16

  #### Parameters

  - ##### expressionType: "ConditionExpression" | "KeyConditionExpression" | "FilterExpression" | "UpdateExpression"

  - ##### condition: Expression

  - ##### params: QueryInput | ScanInput | UpdateItemInput

  #### Returns void

### Static addUpdateExpression

- addUpdateExpression(updateExpression: Expression, params: UpdateItemInput): void

- - Defined in dynamo/expression/param-util.ts:12

  #### Parameters

  - ##### updateExpression: Expression

  - ##### params: UpdateItemInput

  #### Returns void

Generated using TypeDoc